Scarica per Linux

L'ultima versione di Calibre è la 5.3.0. Cosa c'è di nuovo.

Si prega di non utilizzare il pacchetto Calibre fornito dalla propria distribuzione, poiché sono spesso difettosi/obsoleti. Utilizzare invece l'installazione binaria descritta di seguito.

Installazione dei binari

Calibre ha un'installazione binaria che include versioni private di tutte le sue dipendenze. Funziona su pc Intel compatibili a 32-bit e 64-bit . Per installare o aggiornare, copia ed incolla il comando seguente nel terminale e premi Invio:

sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin

Durante l'attesa del completamento del download, ti preghiamo di considerare di contribuire a supportare lo sviluppo di Calibre.

Nota

  • Se viene visualizzato un errore relativo a un certificato non attendibile, significa che sul computer non sono installati certificati di amministratore e che quindi non è possibile scaricare il programma di installazione in modo sicuro. Se vuoi ancora procedere, passa l'opzione --no-check-certificate per wget, in questo modo:
    sudo -v && wget --no-check-certificate -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin
  • Devi avere xdg-utils, wget, xz-utils e python ≥ 2.6 installati sul tuo sistema prima di lanciare l'installazione.
  • Puoi disinstallare Calibre eseguendo sudo calibre-uninstall. In alternativa, cancellando semplicemente la cartella d'installazione si rimuoveranno 99% dei file installati.
  • È necessario GLIBC 2.18 o superiore e libstdc++.so.6.0.21 (da gcc 5.4.0) o superiore per eseguire Calibre
  • If you get an error Could not load the Qt platform plugin xcb you are missing some needed X11-XCB libraries, such as libxcb-xinerama0, for details see here.
  • È possibile modificare la directory in cui è installato Calibre come valore predefinito (/opt) in questo modo:
    sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin install_dir=/opt
    Cambia /opt indicata sopra in qualunque directory tu voglia installare automaticamente Calibre.
  • È inoltre possibile eseguire un'installazione "isolata" che tocca solo i file all'interno della directory di installazione e non deve essere eseguita come root, in questo modo:
    wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sh /dev/stdin install_dir=~/calibre-bin isolated=y

Ritornare ad una versione precedente

È possibile installare una versione precedente di Calibre, in questo modo:

sudo -v && sudo calibre-uninstall && wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sudo sh /dev/stdin version=3.48.0
Cambia la versione 3.48.0 indicata sopra con qualsiasi versione desideri installare.

Installazione dei binari manuale

Se desideri ripristinare una versione precedente di Calibre o scaricare manualmente un aggiornamento di Calibre, scarica l'archivio di quella versione qui (scegli la versione a 32-bit o 64-bit, in base a qual è corretta). Supponendo che tu voglia Calibre in /opt/calibre, esegui il comando seguente, cambiando il percorso in calibre-tarball.txz sotto in modo appropriato:

    sudo mkdir -p /opt/calibre && sudo rm -rf /opt/calibre/* && sudo tar xvf /path/to/downloaded/calibre-tarball.txz -C /opt/calibre && sudo /opt/calibre/calibre_postinstall
    

Installazione da sorgente

ATTENZIONE: Calibre è un software estremamente complesso con molte dipendenze molto delicate. Se installi da sorgente, sei da solo. Si prega di non aprire segnalazioni di bug o aspettarsi alcuna forma di supporto. Sei stato avvertito.

Se sei ancora determinato a installare dal sorgente, continua a leggere:

  1. Assicurati che sul tuo sistema sia installato Python 2.
  2. Installa le varie dipendenze elencate di seguito
  3. Esegui i seguenti comandi in un terminale:
curl -L https://calibre-ebook.com/dist/src | tar xvJ 
cd calibre*
sudo python setup.py install
        


Dipendenze

L'elenco aggiornato delle dipendenze con cui sono raggruppati i binari ufficiali di Calibre, può essere visto in sources.json. Calibre potrebbe anche funzionare con versioni delle dipendenze diverse da quelle elencate lì, ma ciò non è testato/supportato. In aggiunta a queste dipendenze vari software di compilazione tipo pkg-config, un compilatore C/C++ , etc sono necessari.

Scegli la lingua che desideri